if (!String.prototype.replaceAll) {
  console.log("String.prototype.replaceAll() polyfill");
  String.prototype.replaceAll = function (s1, s2) {
    return this.replace(new RegExp(s1, "gm"), s2);
  };
}
